%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-PatchReader
Version:       0.9.6
Release:       2mamba
Summary:       Utilities to read and manipulate patches and CVS 
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/T/TM/TMANNERM/PatchReader-%{version}.tar.gz
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
Utilities to read and manipulate patches and CVS.

%prep
%setup -q -n PatchReader-%{version}

%build
perl Makefile.PL
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%make pure_install DESTDIR=%{buildroot}
packlist=`find %{buildroot} -name .packlist`
[[ -z "$packlist" ]] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 14 2025 Automatic Build System <autodist@openmamba.org> 0.9.6-2mamba
- automatic rebuild by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-3mamba
- automatic rebuild by autodist

* Wed Jul 02 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.9.5-2mamba
- update Vendor, distribution, mantainer, macros

* Wed Feb 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1qilnx
- package created by autospec
